import { IChannelInfoItem, IRoomTypeItem } from '../types';

export declare const roomTypeCheckedInfosList: import('vue').ComputedRef<{
    name: string;
    skuId: string;
    relatedType: number;
    channelInfos: {
        channelName: string;
        channelProductId: string;
        channelId: string;
        ariSyncStatus: number;
        balanceType: import('../types').BalanceTypes;
        channelProductName: string;
        rateCodeId: string;
    }[];
    isAllChannel?: boolean | undefined;
    roomTypeId?: number | undefined;
}[]>;
export declare function updateRoomTypeCheckedList(index: number, skuId: string, isSingleChannelToMultiRoomType?: boolean): void;
export declare function showBalance(channelId: string): boolean;
export default function (): {
    treeEl: import('vue').Ref<null>;
    roomTypeCheckedList: import('vue').Ref<string[]>;
    roomTypeAllChecked: import('vue').Ref<boolean>;
    roomTypeList: import('vue').Ref<{
        name: string;
        skuId: string;
        relatedType: number;
        channelInfos: {
            channelName: string;
            channelProductId: string;
            channelId: string;
            ariSyncStatus: number;
            balanceType: import('../types').BalanceTypes;
            channelProductName: string;
            rateCodeId: string;
        }[];
        isAllChannel?: boolean | undefined;
        roomTypeId?: number | undefined;
    }[]>;
    isSingleChannelToMultiRoomType: import('vue').Ref<boolean>;
    checkedRoomTypeCount: import('vue').ComputedRef<number>;
    isRoomTypeIndeterminate: import('vue').ComputedRef<boolean>;
    handleCheckRoomType: () => void;
    handleCheckRoomTypeInTree: (nodes: IRoomTypeItem | IChannelInfoItem, { checkedKeys }: {
        checkedKeys: string[];
    }) => void;
    handleRoomTypeCheckAll: (isAll: boolean) => void;
};
